/***********************************************************************
**
**   baseflightelement.cpp
**
**   This file is part of KFLog2.
**
************************************************************************
**
**   Copyright (c):  2002 by Harald Maier
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: baseflightelement.cpp,v 1.4 2002/12/04 21:38:30 eggert Exp $
**
***********************************************************************/
#include "targets.h"

#include "baseflightelement.h"

BaseFlightElement::BaseFlightElement(const QString& name, objectType typeID,
      const QString& fName)
  : BaseMapElement(name, typeID),
    sourceFileName(fName)
{

}

BaseFlightElement::~BaseFlightElement(){
}

int BaseFlightElement::searchPoint(const QPoint&, flightPoint&)  {  return -1;  }

int BaseFlightElement::searchGetPrevPoint(int, flightPoint&)  {  return -1;  }

int BaseFlightElement::searchGetNextPoint(int, flightPoint&)  {  return -1;  }

int BaseFlightElement::searchStepNextPoint(int, flightPoint&, int) {  return -1;  }

int BaseFlightElement::searchStepPrevPoint(int,  flightPoint&, int) {  return -1;  }

void BaseFlightElement::printMapElement(QPainter*, bool)
{
  warning("BaseFlightElement::printMapElement");
}

//QStrList BaseFlightElement::getHeader()  {  return header;  }
